package com.hai.config;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.hai.common.security.DESUtil;
import com.hai.common.utils.HttpsUtils;
import com.hai.common.utils.MD5Util;
import org.apache.commons.collections4.MapUtils;

import java.nio.charset.Charset;
import java.util.Base64;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * 汇联通会员卡业务接口
 */
public class HuiLianTongUnionCardConfig {

    /**
     * 获取token
     * @return
     * @throws Exception
     */
    public static JSONObject getToken() throws Exception {
        Map<String,Object> map = new HashMap<>();
        map.put("accessCode", "6FCAE1470CEF465988351BB65ABAA8AE");
        map.put("requestId", new Date().getTime());
        map.put("method", "qgk/queryCardByMobile");

        String signCode = "F8E91A3C";
        Map<String,Object> dataMap = new HashMap<>();
        dataMap.put("userMobile", "17726395120");
        String dataJson = JSONObject.toJSONString(dataMap);

        System.out.println(dataJson);

        map.put("data", DESUtil.encrypt(signCode,dataJson));
        System.out.println(MapUtils.getString(map,"data"));

        String str = (MapUtils.getString(map,"accessCode") + signCode) + (MapUtils.getString(map,"requestId") + signCode) + (MapUtils.getString(map,"method") + signCode) + (MapUtils.getString(map,"data") + signCode);
        System.out.println(str);
        map.put("sign", com.hai.common.pay.util.MD5Util.MD5Encode(str, "UTF-8").toUpperCase());
        System.out.println(MapUtils.getString(map, "sign"));
        return HttpsUtils.doPost("http://hltgz.com:4010/api/v2/execute.json", JSON.toJSONString(map));
        // return null;
    }


}
